Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.data
Class DataViewClientService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
          com.tibco.bpm.web.client.services.client.data.DataViewClientService

    public class DataViewClientService

extends AbstractDataClientService

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
`BASE_URL, XMLFRAGMENT`

Method Summary
`java.lang.String` | `addNameSpaces(java.lang.String encode)`
`void` | `createDataView(CreateDataViewRequest payLoad, com.google.gwt.user.client.rpc.AsyncCallback<CreateDataViewResponse> callback)`
`GetDataViewDetailsResponseType` | `decodeToGetDataViewDetailsResponseType(com.google.gwt.json.client.JSONValue response)`
`void` | `deleteDataViewByID(java.lang.Long viewID, com.google.gwt.user.client.rpc.AsyncCallback<DeleteDataViewResponse> callback)`
`void` | `deleteDataViewByName(java.lang.String name, com.google.gwt.user.client.rpc.AsyncCallback<DeleteDataViewResponse> callback)`
`void` | `editDataView(java.lang.Long viewID, EditDataViewRequest payLoad, com.google.gwt.user.client.rpc.AsyncCallback<EditDataViewResponse> callback)`
`void` | `getCaseClassInfo(boolean includeLabels, boolean includeAttr, boolean includeGlobalAttr, boolean includeAppDetails, com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)`
`void` | `getCaseClassInfo(long caseModelId, com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)`
`void` | `getCaseClassInfo(long caseModelId, boolean includeLabel, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails, com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)`
`void` | `getCaseClassInfo(java.lang.String appName, long version, com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)`
`void` | `getCaseClassInfo(java.lang.String appName, long version, java.util.List<java.lang.String> caseClasses, com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)`
`void` | `getCaseClassInfo(java.lang.String appName, long version, java.util.List<java.lang.String> caseClasses, boolean includeLabel, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails, com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)`
`void` | `getCaseModelBasicInfo(com.google.gwt.user.client.rpc.AsyncCallback<CaseModelBasicInfoResponse> callback)`
`void` | `getCaseReferenceDetails(java.util.List<java.lang.String> caseReference, com.google.gwt.user.client.rpc.AsyncCallback<CaseReferenceDetailsResponse> callback)`
`void` | `getCaseReferenceDetails(java.util.List<java.lang.String> caseReference, boolean includeLabelAndType, com.google.gwt.user.client.rpc.AsyncCallback<CaseReferenceDetailsResponse> callback)`
`void` | `getCaseReferencesForAdHocView(AdhocViewEvaluationOptionsType type, com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)`
`void` | `getCaseReferencesForDataViewByID(java.lang.Long viewID, com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)`
`void` | `getCaseReferencesForDataViewByID(java.lang.Long viewID, ViewEvaluationOptionsTypeRequest evaluationOptionsType, com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)`
`void` | `getCaseReferencesForDataViewByName(java.lang.String viewName, com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)`
`void` | `getDataViewCategories(GetDataViewsForAllCategoriesRequest catSearchDetails, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewCategoriesResponseType> callback)`
`void` | `getDataViewCategories(java.lang.String searchTerm, java.lang.Integer maxDepth, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewCategoriesResponse> callback)`
`void` | `getDataViewDetailsByApp(java.lang.String appName, java.lang.Integer version, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponse> callback)`
`void` | `getDataViewDetailsByCaseClass(java.lang.String caseClass, java.lang.Integer version, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponse> callback)`
`void` | `getDataViewDetailsByCategory(GetDataViewCategoriesRequest catSearchDetails, java.lang.String viewDetailsRequirement, boolean appDetails, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)`
`void` | `getDataViewDetailsByID(java.lang.Long viewID, java.lang.String viewDetailsRequirement, boolean appDetails, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)`
`void` | `getDataViewDetailsByName(java.lang.String viewName, boolean nameOnly, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponse> callback)`
`void` | `getDataViewDetailsByName(java.lang.String viewName, java.lang.String requirements, boolean includeCategories, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)`
`void` | `getDataViewDetailsForAllCategories(GetDataViewsForAllCategoriesRequest catSearchDetails, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)`
`void` | `getDataViewSubCategories(GetDataViewCategoriesRequest categoriesRequest, com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewCategoriesResponseType> callback)`
`static DataViewClientService` | `getInstance()`
`void` | `readCase(java.lang.String caseRef, com.google.gwt.user.client.rpc.AsyncCallback<com.google.gwt.xml.client.Document> callback)`

Methods inherited from class com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
`cleanseResponse, getHeaders, getServiceURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DataViewClientService getInstance()

### createDataView

    public void createDataView(CreateDataViewRequest payLoad,
                               com.google.gwt.user.client.rpc.AsyncCallback<CreateDataViewResponse> callback)

  Parameters:
    `payLoad` -
    `callback` -

### editDataView

    public void editDataView(java.lang.Long viewID,
                             EditDataViewRequest payLoad,
                             com.google.gwt.user.client.rpc.AsyncCallback<EditDataViewResponse> callback)

  Parameters:
    `viewID` -
    `payLoad` -
    `callback` -

### deleteDataViewByID

    public void deleteDataViewByID(java.lang.Long viewID,
                                   com.google.gwt.user.client.rpc.AsyncCallback<DeleteDataViewResponse> callback)

  Parameters:
    `viewID` -
    `payLoad` -
    `callback` -

### deleteDataViewByName

    public void deleteDataViewByName(java.lang.String name,
                                     com.google.gwt.user.client.rpc.AsyncCallback<DeleteDataViewResponse> callback)

### getDataViewSubCategories

    public void getDataViewSubCategories(GetDataViewCategoriesRequest categoriesRequest,
                                         com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewCategoriesResponseType> callback)

### getDataViewCategories

    public void getDataViewCategories(GetDataViewsForAllCategoriesRequest catSearchDetails,
                                      com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewCategoriesResponseType> callback)

### getDataViewCategories

    public void getDataViewCategories(java.lang.String searchTerm,
                                      java.lang.Integer maxDepth,
                                      com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewCategoriesResponse> callback)

  Parameters:
    `searchTerm` -
    `maxDepth` -
    `callback` -

### getDataViewDetailsByID

    public void getDataViewDetailsByID(java.lang.Long viewID,
                                       java.lang.String viewDetailsRequirement,
                                       boolean appDetails,
                                       com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)

  Parameters:
    `viewID` -
    `callback` -

### getDataViewDetailsByName

    public void getDataViewDetailsByName(java.lang.String viewName,
                                         java.lang.String requirements,
                                         boolean includeCategories,
                                         com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)

  Parameters:
    `viewName` -
    `requirements` -
    `callback` -

### getDataViewDetailsByName

    public void getDataViewDetailsByName(java.lang.String viewName,
                                         boolean nameOnly,
                                         com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponse> callback)

  Parameters:
    `viewName` -
    `nameOnly` -
    `callback` -

### getDataViewDetailsByCategory

    public void getDataViewDetailsByCategory(GetDataViewCategoriesRequest catSearchDetails,
                                             java.lang.String viewDetailsRequirement,
                                             boolean appDetails,
                                             com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)

  Parameters:
    `appDetails` -
    `viewDetailsRequirement` -
    `category` -
    `callback` -

### decodeToGetDataViewDetailsResponseType

    public GetDataViewDetailsResponseType decodeToGetDataViewDetailsResponseType(com.google.gwt.json.client.JSONValue response)

### getDataViewDetailsForAllCategories

    public void getDataViewDetailsForAllCategories(GetDataViewsForAllCategoriesRequest catSearchDetails,
                                                   com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponseType> callback)

### getDataViewDetailsByCaseClass

    public void getDataViewDetailsByCaseClass(java.lang.String caseClass,
                                              java.lang.Integer version,
                                              com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponse> callback)

  Parameters:
    `caseClass` -
    `version` -
    `callback` -

### getDataViewDetailsByApp

    public void getDataViewDetailsByApp(java.lang.String appName,
                                        java.lang.Integer version,
                                        com.google.gwt.user.client.rpc.AsyncCallback<GetDataViewDetailsResponse> callback)

  Parameters:
    `appName` -
    `version` -
    `callback` -

### getCaseModelBasicInfo

    public void getCaseModelBasicInfo(com.google.gwt.user.client.rpc.AsyncCallback<CaseModelBasicInfoResponse> callback)

### getCaseClassInfo

    public void getCaseClassInfo(long caseModelId,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)

### getCaseClassInfo

    public void getCaseClassInfo(long caseModelId,
                                 boolean includeLabel,
                                 boolean includeAttributes,
                                 boolean includeGlobalObjectAttributes,
                                 boolean includeAppDetails,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)

### getCaseClassInfo

    public void getCaseClassInfo(java.lang.String appName,
                                 long version,
                                 java.util.List<java.lang.String> caseClasses,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)

### getCaseClassInfo

    public void getCaseClassInfo(java.lang.String appName,
                                 long version,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)

### getCaseClassInfo

    public void getCaseClassInfo(java.lang.String appName,
                                 long version,
                                 java.util.List<java.lang.String> caseClasses,
                                 boolean includeLabel,
                                 boolean includeAttributes,
                                 boolean includeGlobalObjectAttributes,
                                 boolean includeAppDetails,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)

### getCaseClassInfo

    public void getCaseClassInfo(boolean includeLabels,
                                 boolean includeAttr,
                                 boolean includeGlobalAttr,
                                 boolean includeAppDetails,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GetCaseClassInfoResponse> callback)

### getCaseReferencesForAdHocView

    public void getCaseReferencesForAdHocView(AdhocViewEvaluationOptionsType type,
                                              com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)

### addNameSpaces

    public final java.lang.String addNameSpaces(java.lang.String encode)

### getCaseReferencesForDataViewByID

    public void getCaseReferencesForDataViewByID(java.lang.Long viewID,
                                                 com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)

### getCaseReferencesForDataViewByID

    public void getCaseReferencesForDataViewByID(java.lang.Long viewID,
                                                 ViewEvaluationOptionsTypeRequest evaluationOptionsType,
                                                 com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)

### getCaseReferencesForDataViewByName

    public void getCaseReferencesForDataViewByName(java.lang.String viewName,
                                                   com.google.gwt.user.client.rpc.AsyncCallback<SearchResults> callback)

### getCaseReferenceDetails

    public void getCaseReferenceDetails(java.util.List<java.lang.String> caseReference,
                                        com.google.gwt.user.client.rpc.AsyncCallback<CaseReferenceDetailsResponse> callback)

### getCaseReferenceDetails

    public void getCaseReferenceDetails(java.util.List<java.lang.String> caseReference,
                                        boolean includeLabelAndType,
                                        com.google.gwt.user.client.rpc.AsyncCallback<CaseReferenceDetailsResponse> callback)

### readCase

    public void readCase(java.lang.String caseRef,
                         com.google.gwt.user.client.rpc.AsyncCallback<com.google.gwt.xml.client.Document> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.